# SAM Annotator Documentation

This directory contains the official documentation for SAM Annotator.

## Directory Structure

- `index.md` - Main documentation landing page
- `shortcuts.md` - Documentation of keyboard shortcuts
- Other topic-specific markdown files

## Building the Documentation

The documentation is written in Markdown format and can be converted to HTML using various tools:

### Option 1: Using MkDocs (Recommended)

1. Install MkDocs:
   ```bash
   pip install mkdocs
   ```

2. Build the documentation:
   ```bash
   mkdocs build
   ```

3. Serve locally for development:
   ```bash
   mkdocs serve
   ```

### Option 2: Direct Viewing

The Markdown files can be viewed directly on GitHub or with any Markdown viewer.

## Contributing to Documentation

We welcome contributions to improve this documentation! To contribute:

1. Fork the repository
2. Make your changes to the relevant markdown files
3. Submit a pull request with a clear description of your improvements

### Documentation Style Guide

- Use Markdown formatting consistently
- Include descriptive section headings
- Add examples and code snippets where appropriate
- Link to related documentation sections
- Include screenshots for UI-related features

## License

The documentation is subject to the same license as the SAM Annotator project. 